Subject: Re: bug#51037: [PATCH] Make `print-level` & `print-length` customizable in ERT batch tests

From: Michael <[email-masked]>
Date: Tue, 12 Oct 2021 06:52:33 -0700

> If you have very long structures, a simple backtrace can take 
> many
> screenfuls, which isn't what most people want or expect.
>
>> OK, but I was thinking about a more general problem, not just 
>> about
>> ERT.  The backtraces displayed in batch-mode are truncated too 
>> early,
>> and that makes them useless many times.
>
> That's true.  Programmers that need to debug these things should 
> have an
> easy way to get complete backtraces, but I don't think users 
> should be
> presented with them.  So perhaps we should just introduce a new 
> switch,
> like --complete-backtraces (or something) that would do the 
> right thing
> both in general and in ert.

Sorry to chime-in late, but my patch does _not_ affect the
printing of backtraces, just results. That said, I do agree with
Eli about the truncated backtraces often being useless; what do
you think of another variable controlling
that... `ert-batch-full-backtraces` or something?

-- 
Michael <[email-masked]>